---
title: "Retrieve user activity"
slug: "retrieve-user-activity"
updated: 2024-10-25T18:04:27Z
published: 2026-02-10T22:32:35Z
canonical: "docs.skillable.com/retrieve-user-activity"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve user activity

Get/SearchUserActivity

Allows you to search for user activity.

SecurityAPI Key: api_keyHeader parameter nameapi_key

Query parameterspageIndexinteger (int32) 

A 0-based index of the paged results you wish to receive. In general, you should start with a value of zero and increment it as you need to retrieve additional results. If not supplied, a value of 0 is used (the first page of results).

pageSizeinteger (int32) 

Indicates how many results you want per page. if not supplied, a default value of 100 is used.

sortstring

The value you want to sort by. If not supplied, a default value of "SignIn DESC" will be assumed. You can append " DESC" after the sort value to sort descending. For example, "SignIn DESC" would sort by sign-in time in descending order. Possible values:

- RequestTime
- LastName
- UserName
- Organization

userIdinteger (int32) 

An optional parameter used to filter for activity for a particular user

Example57383
userExternalIdstring

An optional parameter used to filter for activity for a particular user using an external identifier

Example1G87491-37DE-DFG1-127A-565159915A6B
activityAfterstring

An optional parameter used to filter for sign-ins that occured after a specified date

activityBeforestring

An optional parameter used to filter for sign-ins that occured before a specified date

Responses200

OK Response

<select class='api-response-data' aria-label='Media type'><option value='b9669a8a-b3f5-40df-bf8a-9373c4b90275'>application/json</option>
</select>Expand Allobject  Statusinteger  (int32)    

Indicates the status of the API request.

0 = Success 10 = Error 20 = Not found 30 = Invalid integration key

Example10
Errorstring   | null  

Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).

TotalCountinteger  (int32)    

The total number of results that match the search conditions, not all of which may be in the current result set.

Example1
TotalPagesinteger  (int32)    

The total number of result pages that match the search conditions.

Example1
Results Array of object (UserActivitySearchResult)   

See UserActivitySearchResult.

object  UserIdinteger  (int32)    

The user's unique identifier

Example2222
UserExternalIdstring   | null  

The user's external ID, usually a unique identifier from the calling system

Example5A875994-33DE-DE11-92BB-00505690582E
FirstNamestring    

The user's first name

ExampleJane
LastNamestring    

The user's last name

ExampleDoe
UserNamestring    

The user's UserName

Examplejane.doe
OrganizationIdinteger  (int32)    

The unique identifier of the organization the user belongs to

Example1234
ImpersonatingUserIdinteger  (int32)   | null  

The user id of the impersonating user (if any)

Example4321
ImpersonatingFirstNamestring    

The impersonating user's first name (if any)

ExampleSteve
ImpersonatingLastNamestring    

The impersonating user's last name (if any)

ExampleSmith
RequestTimeinteger  (int64)    

When the user activity occurred (in Unix epoch time)

Example190615
Methodstring    

The method of the request

ExampleGET
Referrerstring   | null  

The referring URL (if any)

Urlstring   | null  

The URL of the request

UserAgentstring   | null  

The reported UserAgent of the request

UserHostAddressstring   | null  

The reported Host Address of the request

UserLanguagesstring   | null  

The reported languages of the request

ExecutionTimeMSinteger  (int64)    

The execution time of the request (in milliseconds)

Example55
